# Run tests in check section
%bcond_without check

# https://github.com/uber-go/atomic
%global goipath         go.uber.org/atomic
%global forgeurl        https://github.com/uber-go/atomic
Version:                1.3.2

%global common_description %{expand:
Simple wrappers for primitive types to enforce atomic access.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Wrapper types for sync/atomic which enforce atomic access
# Detected licences
# - Expat License at 'LICENSE.txt'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE.txt
%doc README.md


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.2-1
- First package for Fedora

